import { Cell, Table } from "@tanstack/react-table"
import { useState, useEffect } from "react"
import { Input } from "@/components/ui/input"
import { Button } from "@/components/ui/button"
import { Check, CircleX } from "lucide-react"

export const TextInputCell = ({ getValue, row }) => {
  const initialValue = getValue()
  useEffect(() => {
    setValue(initialValue)
  }, [initialValue])
  const [value, setValue] = useState("")
  const [isActive, setIsActive] = useState(false)

  return (<div
    onDoubleClick={() => setIsActive(prev => !prev)}
  >
    {isActive ?
      <div className="flex flex-col">
        <Input
          value={value}
          onChange={e => setValue(e.target.value)}
          onBlur={() => setIsActive(false)}
          autoFocus={true}
        />
        <div className="flex flex-row justify-end gap-1 w-full pt-2">
          <Button variant="outline"><Check /></Button>
          <Button variant="outline"><CircleX /></Button>
        </div>
      </div>
      : <p>{value}</p>
    }
  </div>)
}
